Subject: bug#8779: 24.0.50; clipboard manager problem on gnome?

From: Thierry Volpiatto <[email-masked]>
Date: Wed, 22 Jun 2011 06:36:11 +0200

David De La Harpe Golden <[email-masked]> writes:

> On 05/06/11 06:52, Thierry Volpiatto wrote:
>> David De La Harpe Golden<[email-masked]>  writes:
>>> So the issue may well be local to your machine and/or caused by some
>>> extra thing you have installed. It doesn't seem to be an issue with
>>> gnome 2.32.1 in general.
>>
>> Ok thanks, i will try to investigate more as soon as possible.
>>
>
> So, um. Following Jan D.'s discovery under bug #8869 [1], I can in
> fact reliably replicate that emacs-side issue under Ubuntu.  Thierry,
> depending on _how_ you exit emacs or close frames, your issue may
> really be the same problem. If you routinely use the window's close
> button rather than C-x C-c, for example.
I always close emacs with C-x C-c, i use no menu, scrollbar, buttons etc
...

Note that of course setting `x-select-enable-clipboard-manager' to nil
have fixed the problem:

(when (boundp 'x-select-enable-clipboard-manager)
  (setq x-select-enable-clipboard-manager nil))

(I really don't need such feature, i have always an emacs session
running, and even if i close emacs, i don't feel the need of keeping
stuff in the clipboard.)

Thanks.

> When I was testing, I was always using either the keyboard or my gfx
> tablet which picks up hires movement jitters keeping things
> working.:-(
>
> [1] http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8869#35

-- 
A+ Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997